<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2005 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
#

$core->addBehavior('initWidgets',array('changeMarieBehaviors','initWidgets'));

class changeMarieBehaviors
{
	// Ajout de $lesimg pour pouvoir atteindre celle-ci dans le mthode sans changer rien au niveau API
	public static $lesimghome = array();
	public static $lesimg = array();
	public static $lerep = "";
	public static function initWidgets(&$widgets)
	{
		$widgets->create('changeMarie',__('Change Marie'),array('tplChangeMarie','ChangeMarieWidget'));
		$widgets->changeMarie->setting('title',__('Title not visible with style sheet of Marie :'),'');
		$widgets->changeMarie->setting('srep',__('Public URL see about:config (public_url) :'),self::$lerep);
		$widgets->changeMarie->setting('imgdefhome',__('Default picture for home page :'),'','combo',self::$lesimghome);
		$widgets->changeMarie->setting('imgdef',__('Default picture fo other pages :'),'','combo',self::$lesimg);
		//$widgets->changeMarie->setting('homeonly',__('Home page only'),1,'check');
	}
}

//J'utilise la class du gestionnaire multi-media

// Si il y a un sous repertoire /id_blog/300 on prend celui la 
// Pour l'heure je n'ai pas trouv la variable qui contient le chemin relatif de l'install de DC2
// Alors je fais une recherche cochonne en me fiant au repertoire admin

//$core->error->add($_SERVER['PATH_INFO']); 
//$core->error->add($_SERVER['DOCUMENT_ROOT']); 
//$core->error->add($core->blog->public_path); 
//$core->error->add("core->blog->url=".$core->blog->url); 
//$core->error->add("core->blog->themes_path=".$core->blog->themes_path);
//$core->error->add("core->blog->public_path=".$core->blog->public_path);
//$core->error->add("core->blog->host=".$core->blog->host);
 
//$core->error->add(str_replace($_SERVER['DOCUMENT_ROOT'],'',$core->blog->public_path)); 

// Recherchons la racine du blog
$racine="";
// On commence par enlever le nom du host
$blog_ou = explode('/',str_replace($core->blog->host,'',$core->blog->url));
// On enleve -2 pour enlever index.php/
$t_blog_ou = count($blog_ou) - 2;
// On parcours depuis 1 poour enlever le premier /
for ( $ft_i=1; $ft_i < $t_blog_ou ; $ft_i++){
	$racine.="/".$blog_ou[$ft_i];
}

if (is_dir($core->blog->public_path."/".$core->blog->id."/"."300")){
	$lebonrep=$core->blog->public_path."/".$core->blog->id."/"."300";	
	$racine.="/"."public"."/".$core->blog->id."/"."300";
	$d=$core->blog->id."/"."300";
} else {
	$lebonrep=$core->blog->public_path."/"."300";	
	$racine.="/"."public"."/"."300";
	$d="300";
}
//$core->error->add($racine); 
//$core->error->add($core->blog->public_path."/".$core->blog->id."/"."300");
//$core->error->add($lebonrep);
// On force pour info dans l'admin
changeMarieBehaviors::$lerep = $racine;

//uniquement si le repertoire existe sinon il y a message d'erreur
if (is_dir($lebonrep)){
	try {
		// Le sous repertoire public qui doit contenir les images 300px
		// J'oblige l'utilisation du repertoire 300 car je vos pas comment dans l'admin rafraichir mes 
		// combo image si on autorise  choisir un repertoire  la vole en tout les cas ce serait pas 
		// trop top faudrait choisir un repertoire puis cliquer sur "Mettre  jour les bandeau" puis revenir 
		// dans le widget pour cette fois-ci choisir les bonnes images
		// $d = "300"; Mis  jour plus haut
		$core->media = new dcMedia($core,$type='');
		$core->media->chdir($d);
		$core->media->getDir();
		$dir =& $core->media->dir;
	} catch (Exception $e) {
		$core->error->add($e->getMessage());
	}
}
//$dir['files']; est le tableau qui contient les fichiers
if (!isset($dir)){
	$items = array();
} else {
	$items = array_values($dir['files']);
}	
//$items[0]->relname    contient le nom avec le chemin relatif par raaport au repertoire public
//$items[0]->basename   contient uniquement le nom du fichier
$ft_nb= count($items);
// Init du premier choix pour dire "Toutes"
changeMarieBehaviors::$lesimg['All pictures'] = __('All');
changeMarieBehaviors::$lesimghome['All pictures'] = __('All');
for ( $ft_i=0; $ft_i < $ft_nb ; $ft_i++){
  //Si nom image suprieur a 35 caractres on tronque le nom
  if (strlen($items[$ft_i]->basename)>35){
  	$nomcombo = substr($items[$ft_i]->basename,0,32)."...";
  } else  {
  	$nomcombo = $items[$ft_i]->basename;
  }
  changeMarieBehaviors::$lesimghome[$nomcombo] = $items[$ft_i]->basename;
  changeMarieBehaviors::$lesimg[$nomcombo] = $items[$ft_i]->basename;
}
?>
