<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2005 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
#

$core->tpl->addValue('changeMarie',array('tplChangeMarie','changeMarie'));

class tplChangeMarie
{

	public static function changeMarie($attr)
	{
		$output = '';
		
		if (isset($attr['text']))
		{
			$author = isset($attr['author']) ? ' <cite>'.$attr['author'].'</cite>' : '';
			
			$output = '<blockquote>'.$attr['text'].$author.'</blockquote>';
		}
		
		return $output;
	}
	
	public static function ChangeMarieWidget(&$w)
	{
		global $core;
		
		$title = $w->title ? html::escapeHTML($w->title) : __('Subscribe');
		$type = ($w->type == 'atom' || $w->type == 'rss2') ? $w->type : 'rss2';
		$mime = $type == 'rss2' ? 'application/rss+xml' : 'application/atom+xml';
		
		$p_title = __('This blog\'s entries %s feed');
		$c_title = __('This blog\'s comments %s feed');
		
		// Test pour savoir si home ou pas
		$imgaff="";
		if ($core->url->type == 'default') {
			// Si nous sommes dans la homepage
			if ($w->imgdefhome!="All"){
				// Ok on force avec l'image choisie
				$imgaff=$w->imgdefhome;
			}
			$lahome="oui";
		} else {
			if ($w->imgdef!="All"){
				// Ok on force avec l'image choisie
				$imgaff=$w->imgdef;			
			}
			$lahome="non";
		}
		// Maintenant on cherche le bon chemin 
		// Si un 300 existe sous une id blog c'est celui la que l'on prend sinon c'est le 300 direct sous public
		if (is_dir($core->blog->public_path."/".$core->blog->id."/"."300")){
			$lebonrep=$core->blog->public_path."/".$core->blog->id."/"."300";	
		} else {
			$lebonrep=$core->blog->public_path."/"."300";	
		}
		
		// Si il faut une image alatoire		
		if ($imgaff=="" && is_dir($lebonrep)){
			// Maintenant je rempli un tableau avec les images de ce repertoire
			$mesimg_ft = array();
			$cpt_ft = 0;
			if ($handle_ft = opendir($lebonrep)) {
	 		  while (false !== ($file_ft = readdir($handle_ft))) {
			       if ($file_ft != "." && $file_ft != "..") {
				   	  //On prend que les jpg taille reel car avec le media un jpg a trois fichiers
					  if (substr($file_ft,0,1)!="."){
					  	$verifimg.=','.$file_ft;
			           	$mesimg_ft[$cpt_ft] = $file_ft;
					   	$cpt_ft++;
					  }
			       }
			 }
		   	 closedir($handle_ft);
			 // Maintenant on en prend une au hasard dans le tableau
	 		 srand((double)microtime()*1000000);
			 $randval_ft = rand(0,(count($mesimg_ft)-1));
			 $imgaff = $mesimg_ft[$randval_ft];
		}
	}
		if (is_dir($lebonrep)){
			$img1="<img src=\"".$w->srep."/".$imgaff."\" alt=\"".$imgaff."\" title=\"".$imgaff."\" style=\"margin-left:-7px;margin-top:-8px;padding:0;\" />";
		}
		//************************
		return
		'<div class="syndicate">'.
		'<h2>'.$title.'</h2>'.
		
		'<ul>'.
		  '<li><a type="'.$mime.'" '.
		  'href="'.$core->blog->url.$core->url->getBase('feed').'/'.$type.'" '.
		  'title="'.sprintf($p_title,($type == 'atom' ? 'Atom' : 'RSS')).'" class="feed">'.
		  __('Entries feed').'</a></li>'.
		  '<li><a type="'.$mime.'" '.
		  'href="'.$core->blog->url.$core->url->getBase('feed').'/'.$type.'/comments" '.
		  'title="'.sprintf($c_title,($type == 'atom' ? 'Atom' : 'RSS')).'" class="feed">'.
		  __('Comments feed').'</a></li>'.
		'</ul>'.$img1.
		'</div>';
	}
}
?>
